div#classic-header {
	position: absolute;
	z-index: 99;
	top: 0px;
	left: 0px;
	right: 0px;
	width: calc(100vw - (100% - 100vw));
}

div#vertical-header {
	position: absolute;
	z-index: 99;
	top: 0px;
	right: 0px;
}

/*
div#vertical-header nav.main-menu ul > li.menu-item a {
	background: inherit;
	background-clip: text;
	color: transparent;
	filter: invert(1);
}*/

div#classic-header div.logo img {
	height: 100%;
	vertical-align: middle;
	padding: 1% 0;
}

div#classic-header div#progress-container {
	position: fixed;
	z-index: 100;
	width: 100%;
	height: 0.6vh;
}

div#classic-header div#progress-bar {
	height: 0.6vh;
	background: var(--giallo-kirk);
	width: 0%;
}

div#classic-header header#main-menu-wrapper {
	position: relative;
	opacity: 0;
	z-index: 3;
	top: 0px;
	left: 0px;
	right: 0px;
	width: calc(100vw - (100% - 100vw));
}

div#vertical-header header#menu-wrapper {
	position: fixed;
	z-index: 3;
	top: 0px;
	right: 0px;
	height: 10vh;
	width: fit-content;
	width: -moz-fit-content; /* Firefox/Gecko */
	width: -webkit-fit-content;
}

div#classic-header header#sticky-menu-wrapper {
	position: fixed;
	background-color: rgba(0, 0, 0, 0.5);
	height: 0;
	overflow: hidden;
	z-index: 99;
	top: 0px;
	left: 0px;
	right: 0px;
	width: calc(100vw - (100% - 100vw));
	transition: height 0.4s ease 0s;
	-moz-transition: height 0.4s ease 0s;
	-ms-transition: height 0.4s ease 0s;
	-webkit-transition: height 0.4s ease 0s;
	-o-transition: height 0.4s ease 0s;
}

div#classic-header header#sticky-menu-wrapper div.logo img {
	height: calc(10vh - 7%);
}

div#classic-header header#main-menu-wrapper nav.main-menu {
	height: 12.4vh;
	line-height: calc(12.4vh - 0.5rem);
}

div#classic-header header#main-menu-wrapper div.logo img {
	height: 21.4vh;
}

div#classic-header div.logo {
	position: relative;
	padding: 0;
	margin-left: 1rem;
	padding-top: 0.6vh;
	float: left;
	height: 100%;
	white-space: nowrap;
}

@media (max-width: 1023px) {
	div#classic-header div.logo {
		position: absolute;
		left: 50%;
		transform: translateX(-50%);
		margin-left: 0;
		float: none;
	}
}

div#classic-header a.logo-link {
	display: inline-block;
	height: 100%;
}

div#classic-header div.logo h1 {
	height: 100%;
	font-family: "Jura";
}

div#classic-header div.logo h2 {
	height: 100%;
	color: white;
	font-family: "Jura";
}

div#classic-header div.logo h2 * {
	color: white;
	font-family: "Jura";
}

div#classic-header div.logo span {
	color: white;
	display: inline-block;
	height: 100%;
}
div#classic-header div.logo span * {
	color: white;
}
div#vertical-header div.menu {
	padding: 0;
	position: relative;
	height: 100%;
	margin: 1rem;
}

div#classic-header div.menu {
	display: block;
	position: relative;
	top: 0;
	height: 100%;
	float: right;
	padding: 0;
	margin-right: 1rem;
}

div.burger {
	display: none;
}

div#classic-header header#sticky-menu-wrapper nav.main-menu {
	height: 10vh;
	line-height: calc(10vh - 0.5rem);
}

div#classic-header nav.main-menu ul {
	list-style: none;
	margin: 0;
	padding: 0;
	height: 100%;
}

div#vertical-header nav.main-menu ul {
	list-style: none;
	margin: 0;
	padding: 0;
}

div#classic-header nav.main-menu ul > li.menu-item {
	height: 100%;
	float: left;
	margin: 0;
	position: relative;
	padding: 0.25rem calc(2vw - 0.25rem);
}

div#vertical-header nav.main-menu ul > li.menu-item {
	text-align: right;
	height: 5vh;
}

div#classic-header header#sticky-menu-wrapper nav.main-menu ul > li.menu-item {
	padding: 0.25rem calc(2vw - 0.25rem);
}

div#classic-header nav.main-menu ul > li.menu-item a {
	height: 100%;
	font-family: "Jura", Arial, Helvetica, sans-serif;
	font-size: 1rem;
	color: black;
	padding: 0.25rem;
}

div#classic-header nav.main-menu ul > li.menu-item a * {
	font-family: "Jura", Arial, Helvetica, sans-serif;
	color: black;
}

div#vertical-header nav.main-menu ul > li.menu-item a {
	font-family: "Jura", Arial, Helvetica, sans-serif;
	font-size: 0.8rem;
	font-weight: normal;
	color: white;
	padding: 0.25rem;
}

div#vertical-header nav.main-menu ul > li.menu-item a * {
	color: white;
}
div#vertical-header nav.main-menu ul > li.menu-item.current a::before {
	content: "> ";
}

div#vertical-header nav.main-menu ul > li.menu-item a:hover {
	opacity: 0.5;
}

div#classic-header nav.main-menu ul > li.menu-item a::after {
	position: relative;
	content: "";
	display: block;
	top: calc(-6.7vh + 1.5rem);
	width: 0px;
	height: 1px;
	background-color: black;
	-webkit-transition: width 200ms ease-out 0s;
	-moz-transition: width 200ms ease-out 0s;
	-ms-transition: width 200ms ease-out 0s;
	-o-transition: width 200ms ease-out 0s;
	transition: width 200ms ease-out 0s;
}

div#classic-header header#sticky-menu-wrapper nav.main-menu ul > li.menu-item a::after {
	top: calc(-5vh + 1.5rem);
	background-color: white;
}

div#classic-header header#sticky-menu-wrapper nav.main-menu ul > li.menu-item a {
	color: white;
}

div#classic-header header#sticky-menu-wrapper nav.main-menu ul > li.menu-item a * {
	color: white;
}

div#classic-header header#sticky-menu-wrapper nav.main-menu ul > li.menu-item a::after {
}

div#classic-header nav.main-menu ul > li.menu-item a:hover::after,
div#classic-header nav.main-menu ul > li.menu-item.current a::after {
	width: 105%;
}

@media only screen and (max-width: 1023px) {
	div#classic-header div.burger {
		display: inline-block;
		width: 30px;
		height: 100%;
		line-height: 14.4vh;
		cursor: pointer;
		text-align: center;
		vertical-align: middle;
		z-index: 99;
		position: relative;
	}
	div#classic-header header#sticky-menu-wrapper div.burger {
		line-height: 10vh;
	}
	div#classic-header div.menu nav.main-menu div.burger {
		position: absolute;
		top: 0;
		right: 0;
		margin-right: 1rem;
		height: auto;
	}

	div#vertical-header div.burger {
		z-index: 100;
		top: 0;
		right: 1.25rem;
		position: fixed;
		display: inline-block;
		margin-top: calc(2.5vh);
		width: 36px;
		cursor: pointer;
		text-align: center;
		vertical-align: middle;
	}

	/* BURGER STYLE*/
	div.burger {
		user-select: none; /* supported by Chrome and Opera */
		-webkit-user-select: none; /* Safari */
		-khtml-user-select: none; /* Konqueror HTML */
		-moz-user-select: none; /* Firefox */
		-ms-user-select: none; /* Internet Explorer/Edge */
	}
	.burger svg {
		background-color: transparent;
		-webkit-transition: all 0.7s;
		transition: all 0.7s;
		height: 36px;
		width: 30px;
		margin: calc(5vh - 36px) 0;
	}
	.burger .top,
	.burger .middle-up,
	.burger .middle-down,
	.burger .bottom {
		fill: none;
		stroke: white;
		stroke-width: 1;
		stroke-opacity: 1;
		stroke-dasharray: none;
		transition: transform 0.7s;
		transform-origin: 18px 21px;
	}
	div#classic-header #main-menu-wrapper .burger .top,
	div#classic-header #main-menu-wrapper .burger .middle-up,
	div#classic-header #main-menu-wrapper .burger .middle-down,
	div#classic-header #main-menu-wrapper .burger .bottom {
		stroke: black;
	}
	.opened .burger .top,
	.opened .burger .middle-up,
	.opened .burger .middle-down,
	.opened .burger .bottom {
		stroke: white !important;
	}

	.opened .burger .middle-up {
		transform: rotate(45deg);
	}
	.opened .burger .middle-down {
		transform: rotate(-45deg);
	}
	.opened .burger .top {
		transform: translate(200px);
	}
	.opened .burger .bottom {
		transform: translate(-200px);
	}
	div#vertical-header div.menu nav.main-menu {
		background: rgba(0, 0, 0, 0.7);
		position: fixed;
		padding: 14vh 1rem;
		top: 0;
		right: 0;
		height: 100vh !important;
		width: 280px;
		margin: 0px;
		line-height: 100%;
		transform: translateX(280px);
		-webkit-transition: transform 0.6s ease;
		-moz-transition: transform 0.6s ease;
		-ms-transition: transform 0.6s ease;
		-o-transition: transform 0.6s ease;
		transition: transform 0.6s ease;
	}
	div#vertical-header header#sticky-menu-wrapper div.burger {
		line-height: 10vh;
	}
	div#vertical-header div.menu nav.main-menu div.burger {
		position: absolute;
		top: 0;
		right: 0;
		margin-right: 1rem;
		height: auto;
	}

	div#classic-header div.menu nav.main-menu ul {
		margin: 14.4vh 0;
		text-align: right;
		position: relative;
	}

	div#classic-header div.menu nav.main-menu {
		background-color: rgba(0, 0, 0, 0.7);
		position: fixed;
		height: 100vh !important;
		width: 220px;
		padding: 0px !important;
		margin: 0px;
		top: 0px;
		right: 0px;
		line-height: 100%;
		display: block;
		transform: translateX(220px);
		-webkit-transition: transform 0.6s ease;
		-moz-transition: transform 0.6s ease;
		-ms-transition: transform 0.6s ease;
		-o-transition: transform 0.6s ease;
		transition: transform 0.6s ease;
	}

	div#classic-header nav.main-menu ul > li.menu-item a::after {
		top: -1rem;
		background-color: white;
	}

	div#classic-header nav.main-menu ul > li.menu-item {
		position: absolute;
		top: 0;
		right: 0;
		float: none;
		width: auto;
		white-space: nowrap;
		height: calc((100vh - 28.8vh) / 6);
		line-height: calc((100vh - 28.8vh) / 6);
		padding: 0 1rem !important;
	}
	div#vertical-header nav.main-menu ul > li.menu-item {
		height: 7vh;
	}
	div#classic-header nav.main-menu ul > li.menu-item:nth-child(2) {
		top: calc((100vh - 28.8vh) / 6);
	}
	div#classic-header nav.main-menu ul > li.menu-item:nth-child(3) {
		top: calc((100vh - 28.8vh) * 2 / 6);
	}
	div#classic-header nav.main-menu ul > li.menu-item:nth-child(4) {
		top: calc((100vh - 28.8vh) * 3 / 6);
	}
	div#classic-header nav.main-menu ul > li.menu-item:nth-child(5) {
		top: calc((100vh - 28.8vh) * 4 / 6);
	}
	div#classic-header nav.main-menu ul > li.menu-item a {
		position: relative;
		color: white;
	}
	div#classic-header nav.main-menu ul > li.menu-item a * {
		color: white;
	}
	div#vertical-header nav.main-menu ul > li.menu-item a {
		font-size: 1rem;
	}
	div#classic-header nav.main-menu ul > li.menu-item.current a {
		color: white;
	}
	div#classic-header nav.main-menu ul > li.menu-item.current a * {
		color: white;
	}

	div#classic-header div#classic-header div.logo h1 {
		font-size: 1.5rem;
	}

	div#classic-header header#main-menu-wrapper {
		height: 17.4vh;
	}

	div#classic-header header#main-menu-wrapper div.logo img {
		height: 15.4vh;
	}

	div#classic-header div#classic-header div.logo {
		margin-left: 0;
	}

	div#vertical-header header#menu-wrapper div.menu.opened nav.main-menu,
	div#classic-header header#main-menu-wrapper div.menu.opened nav.main-menu,
	div#classic-header header#sticky-menu-wrapper div.menu.opened nav.main-menu {
		transform: translate(0px);
	}

	.swipe-menu-area {
		position: fixed;
		height: 100vh;
		width: 1.25rem;
		z-index: 99999;
		top: 0;
		right: 0;
	}
}
